<ngx-loading [show]="visualizationIsLoadingUpdate$ | async" />

<div [ngClass]="[jds.card]">
  <div [ngClass]="[jds.cardBody, jds.px(40)]">
    <ng-container *ngIf="visualizationIsLoadingRead$ | async">
      <div *ngFor="let number of [0, 1]">
        <ngx-skeleton-loader
          [theme]="{
            width: '40%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
        <ngx-skeleton-loader
          [theme]="{
            width: '100%',
            'border-radius': '0',
            height: '43px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </ng-container>

    <ng-container
      *ngIf="
        (visualizationIsLoadingRead$ | async) === false &&
        (visualizationData$ | async) as row
      "
    >
      <table
        [ngClass]="[jds.table, jds.tableSm, jds.tableBorderless, jds.mb(20)]"
        role="table"
        aria-label="Information"
        aria-describedby="Table Information"
      >
        <tbody>
          <tr>
            <th
              [style.width.%]="32.5"
              scope="row"
            >
              Judul
            </th>
            <td>{{ row.name }}</td>
          </tr>
          <tr>
            <th scope="row">Deskripsi</th>
            <td [style.whiteSpace]="'pre-wrap'">{{ row.description }}</td>
          </tr>
          <tr>
            <th scope="row">Thumbnail</th>
            <td>
              <img
                class="img-responsive"
                [alt]="row.name"
                [src]="env.backendURL + row.image"
                (error)="errorImage($event)"
                style="max-height: 150px; width: auto"
              />
            </td>
          </tr>
          <tr>
            <th scope="row">Link Embed</th>
            <td [style.wordBreak]="'break-all'">{{ row.url }}</td>
          </tr>
          <tr>
            <th scope="row">Topik</th>
            <td>{{ row.sektoral.name }}</td>
          </tr>
          <tr>
            <th scope="row">Organisasi</th>
            <td>{{ row.skpd.nama_skpd }}</td>
          </tr>
          <tr>
            <th scope="row">Klasifikasi</th>
            <td>{{ row.dataset_class.name }}</td>
          </tr>
          <tr *ngIf="row.dataset_class.id === 4">
            <th scope="row">Hak akses</th>
            <td>
              <ul [ngClass]="[jds.ps(15)]">
                <li
                  *ngFor="let rowa of row.visualization_permission"
                  style="line-height: unset"
                >
                  {{ rowa.satuan_kerja_nama }} - {{ rowa.jabatan_nama }}
                </li>
              </ul>
            </td>
          </tr>
          <tr>
            <th scope="row">Dataset Referensi</th>
            <td>
              <ng-container *ngIf="row.visualization_dataset.length > 0">
                <ul [ngClass]="[jds.ps(15)]">
                  <li
                    class="line-height-none"
                    *ngFor="let rowDataset of row.visualization_dataset"
                  >
                    {{ rowDataset.dataset.name }}
                  </li>
                </ul>
              </ng-container>
              <ng-container *ngIf="row.visualization_dataset.length === 0">
                -
              </ng-container>
            </td>
          </tr>
          <tr *ngFor="let row of metadataBusinessData$ | async; let i = index">
            <th scope="row">{{ row.key }}</th>
            <td>{{ row.value }}</td>
          </tr>
          <tr *ngFor="let row of metadataCustomData$ | async; let i = index">
            <th scope="row">{{ row.key }}</th>
            <td>{{ row.value }}</td>
          </tr>
        </tbody>
      </table>
    </ng-container>

    <div [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(10)]">
      <a
        *ngIf="id"
        [ngClass]="[jds.button, jds.buttonDefault]"
        [routerLink]="['/my-visualization/edit', id]"
        [queryParams]="{ from: this.filter.from }"
      >
        Ubah Visualisasi
      </a>
      <button
        [ngClass]="[jds.button, jds.buttonPrimary, jds.ms(16)]"
        (click)="onSubmit()"
        type="submit"
      >
        Simpan
      </button>
    </div>
  </div>
</div>
